%define name white_dune
%define version 0.21
%define realversion 0.21pl3
%define release 0.pl3.1mdk

Name: %{name}
Summary: A graphical VRML97 editor and animation tool
Version: %{version}
Release: %{release}
Source: http://www.csv.ica.uni-stuttgart.de/vrml/dune/%{name}-%{realversion}.tar.bz2
Group: Graphics
BuildRequires: libpng
URL: http://www.csv.ica.uni-stuttgart.de/vrml/dune
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
The dune program is a graphical VRML97 editor and animation tool.
VRML97 (Virtual Reality Modelling Language) is the ISO standard for
displaying 3D data over the web. It has support for animation, realtime
interaction and multimedia (image, movie, sound). VRML97 can be written
by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
Dune can read VRML97 files, display and let the user change the
scenegraph/fields. Some documentation how to use dune is included.
Beside some support for the VRML200x style nurbs node, dune has only a few
3D Modelling features. For artistic work, the usage of a static 3D modeller
with VRML97 export features is recommended. Examples for free/lowcost static
3D modellers available under Linux are sced, ppmodeler or ac3d.
Dune can load and store x3d (next generation VRML xml format) files,
if configured to work with the nist.gov x3d translators.
Advanced features of dune like the usage of 3Drevelator shutterglases with
the commercial Linux XIG X11 Server (DX/platium) require recompilation of
the source package.
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%realversion

%build

%configure --with-optimization --with-buginlesstif

rm Makefile
cd src && make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%_mandir/man1

install -s -m 755 bin/dune $RPM_BUILD_ROOT/usr/X11R6/bin/dune
install -m 644 man/dune.1 $RPM_BUILD_ROOT%_mandir/man1/dune.1


#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/X11R6/bin/dune"\
title="White Dune"\
longtitle="VRML 97 Editor"\
needs="x11"\
icon="graphics_section.png"\
section="Multimedia/Graphics"
EOF
)

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING docs
/usr/X11R6/bin/dune
%_mandir/man1/*
%_menudir/*

%changelog
* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.21-0.pl3.1mdk
- updated to 0.21pl3

* Tue Feb 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta196-1mdk
- 0.20-0.beta196

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta186.1mdk
- 0.20beta186

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta167.1mdk
- 0.20beta167

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta160.1mdk
- 0.20beta160

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta122.1mdk
- 0.20beta122

* Sun Sep 22 2002 Chris De Maeyer <ceppe@pandora.be> 0.20-0.beta51.1mdk
- 0.20beta51 release

* Tue Sep 3 2002 Chris De Maeyer <ceppe@pandora.be> 0.20-0.beta35.1mdk
- 0.20beta35 release

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta27.1mdk
- icon
- from Chris De Maeyer <ceppe@pandora.be> :
	- 0.20beta27 release

